aboutsummaryrefslogtreecommitdiff
path: root/sh/shrc.d
diff options
context:
space:
mode:
authorTom Ryder <tom@sanctum.geek.nz>2016-08-22 16:17:43 +1200
committerTom Ryder <tom@sanctum.geek.nz>2016-08-22 16:17:43 +1200
commit06d91072667dc2585f96eb94a8a1eaab38cfbfa6 (patch)
treeabf33d0dfacc6e82847ce0539b099a7e66cfab0b /sh/shrc.d
parentApply cleverer arg-arranging method to apf(1) (diff)
downloaddotfiles-06d91072667dc2585f96eb94a8a1eaab38cfbfa6.tar.gz
dotfiles-06d91072667dc2585f96eb94a8a1eaab38cfbfa6.zip
Avoid repetition of KSH_ENV param expansion
Diffstat (limited to 'sh/shrc.d')
-rw-r--r--sh/shrc.d/ksh.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/sh/shrc.d/ksh.sh b/sh/shrc.d/ksh.sh
index b12f13c8..046cd6c4 100644
--- a/sh/shrc.d/ksh.sh
+++ b/sh/shrc.d/ksh.sh
@@ -4,7 +4,7 @@
# does it the other way around.
case $KSH_VERSION in
*'PD KSH '*|*'MIRBSD KSH '*)
- [ -f "${KSH_ENV:-"$HOME"/.pdkshrc}" ] || return
- . "${KSH_ENV:-"$HOME"/.pdkshrc}"
+ [ -f "${KSH_ENV:="$HOME"/.pdkshrc}" ] || return
+ . "$KSH_ENV"
;;
esac